package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 保养部位信息对象 dms_base_maint_station
 *
 * @author xins
 * @date 2024-01-05
 */
public class DmsBaseMaintStation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long maintStationId;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 部位编号 */
    @Excel(name = "部位编号")
    private String maintStationCode;

    /** 部位编号 */
    @Excel(name = "部位名称")
    private String maintStationName;

    /** 保养标准 */
    @Excel(name = "保养标准")
    private String protocolCode;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private String TypeName;

    public String getTypeName() {
        return TypeName;
    }

    public void setTypeName(String typeName) {
        TypeName = typeName;
    }

    public void setMaintStationId(Long maintStationId)
    {
        this.maintStationId = maintStationId;
    }

    public Long getMaintStationId()
    {
        return maintStationId;
    }
    public void setDeviceTypeId(Long deviceTypeId)
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId()
    {
        return deviceTypeId;
    }
    public void setMaintStationCode(String maintStationCode)
    {
        this.maintStationCode = maintStationCode;
    }

    public String getMaintStationCode()
    {
        return maintStationCode;
    }

    public String getMaintStationName() {
        return maintStationName;
    }

    public void setMaintStationName(String maintStationName) {
        this.maintStationName = maintStationName;
    }

    public void setProtocolCode(String protocolCode)
    {
        this.protocolCode = protocolCode;
    }

    public String getProtocolCode()
    {
        return protocolCode;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("maintStationId", getMaintStationId())
            .append("deviceTypeId", getDeviceTypeId())
            .append("maintStationCode", getMaintStationCode())
            .append("protocolCode", getProtocolCode())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
